## jhbuild 0.0.svn.r1378

=== Makefile ===
PACKAGE = jhbuild
VERSION = 0.1

CC = gcc
CFLAGS = -Wall -O2

bindir=$(HOME)/bin
desktopdir=$(HOME)/.local/share/applications

all: install-check
	@echo 'Run "make install" to install.'

install-check: install-check.c
	$(CC) $(CFLAGS) -o install-check install-check.c

update:
	svn update --quiet

install: install-check
	@echo "Creating $(bindir)/jhbuild"
	@mkdir -p $(bindir)
	@sed "s,@jhbuilddir@,`pwd`,g" < jhbuild.in > $(bindir)/jhbuild
	@chmod a+x $(bindir)/jhbuild

	@echo "Creating $(desktopdir)/jhbuild.desktop"
	@mkdir -p $(desktopdir)
	@cp jhbuild.desktop $(desktopdir)
	@echo "Exec=$(bindir)/jhbuild gui" >> $(desktopdir)/jhbuild.desktop

	@[ -f $(HOME)/.jhbuildrc ]||echo "Don't forget to create ~/.jhbuildrc"
	install -m755 install-check $(bindir)/install-check

distdir = $(PACKAGE)-$(VERSION)
dist:
	-rm -rf $(distdir)
	mkdir $(distdir)
	cp -p README COPYING ChangeLog Makefile jhbuild.in jhbuild.desktop $(distdir)/
	cp -p *.c *.jhbuildrc $(distdir)/
	mkdir $(distdir)/modulesets
	cp -p modulesets/*.modules $(distdir)/modulesets/
	cp -p modulesets/moduleset.dtd modulesets/moduleset.xsl $(distdir)/modulesets/
	mkdir $(distdir)/patches
	cp -p patches/*.patch $(distdir)/patches/
	mkdir $(distdir)/jhbuild
	cp -p jhbuild/*.py jhbuild/defaults.jhbuildrc $(distdir)/jhbuild/
	mkdir $(distdir)/jhbuild/commands
	cp -p jhbuild/commands/*.py $(distdir)/jhbuild/commands/
	mkdir $(distdir)/jhbuild/frontends
	cp -p jhbuild/frontends/*.py $(distdir)/jhbuild/frontends/
	cp -p jhbuild/frontends/jhbuild.glade $(distdir)/jhbuild/frontends/
	mkdir $(distdir)/jhbuild/modtypes
	cp -p jhbuild/modtypes/*.py $(distdir)/jhbuild/modtypes/
	mkdir $(distdir)/jhbuild/utils
	cp -p jhbuild/utils/*.py $(distdir)/jhbuild/utils/
	mkdir $(distdir)/scripts
	cp -p scripts/*.py scripts/*.xsl scripts/*.deps scripts/*.exceptions $(distdir)/scripts/
	mkdir $(distdir)/scripts/branch-violations
	cp -p scripts/branch-violations/README scripts/branch-violations/find-branch-* \
		$(distdir)/scripts/branch-violations/
	chmod -R a+r $(distdir)
	tar czf $(distdir).tar.gz $(distdir)
	rm -rf $(distdir)

.PHONY: all update install

## jhbuild 3.2.1

=== debian/changelog ===
jhbuild (3.2.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
  * Switch to dh_python2
  * Use 3.0 (quilt)
  * debian/control.in:
    - Bump debhelper minimum to 8 and Standards-Version to 3.9.3
    - Bump intltool minimum build-dependency
    - Update long description to mention Git (Closes: #597801)
    - Add Vcs and Homepage fields
  * debian/watch: Watch for .xz releases

 -- Jordi Mallach <jordi@debian.org>  Wed, 28 Mar 2012 22:17:26 +0200

jhbuild (2.29.2-2) unstable; urgency=low

  * debian/install:
    - Removed, let's not ship the modulesets and patches so that they
      are downloaded as needed from the intertubes, where they should be
      up to date.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 05 Oct 2010 20:40:09 +0200

jhbuild (2.29.2-1) unstable; urgency=low

  * debian/patches/01_import_from_pkgdatadir.patch,
    debian/rules:
    - Remove hack to install the python modules in /usr/share/jhbuild
      and the patch to make jhbuild import them from that location.
      Set pythondir=/usr/share/jhbuild instead and pass it to make install.
  * New upstream release.
  * debian/watch: Also track unstable releases, jhbuild is mostly used
    to build unreleased software (like GNOME from master) so it makes sense
    to have the latest release that is updated for software changes.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 27 Nov 2009 13:01:16 +0100

jhbuild (2.28.0-1) unstable; urgency=low

  [ Loic Minier ]
  * Cleanups.
  * Ship scripts.
  * Don't set GNOME_MODULE as it equals the name of the source package.

  [ Emilio Pozuelo Monfort ]
  * New upstream release. Closes: #524504.
    - Use 'git rev-parse' rather than 'git-rev-parse'. Closes: #544642.
  * Ship install-check. Closes: #441008.
  * Uploaders list regenerated. Closes: #523542, #554071.
  * debian/control.in,
    debian/rules:
    - Stop shipping a copy of subprocess.py. Require python >= 2.4.
    - Switch to python-support.
  * debian/control.in:
    - Bump Standards-Version to 3.8.3, no changes needed.
    - Build depend on intltool >= 0.35.0.
    - Build depend on pkg-config, gnome-doc-utils and rarian-compat to build
      the documentation.
    - Make jhbuild arch any since install-check is a binary. Depend on
      ${shlibs:Depends}.
    - Recommend, and not suggest, git-core. Also recommend mercurial.
  * debian/watch:
    - Added.
  * debian/patches/01_import_from_pkgdatadir.patch:
    - Added, import jhbuild from pkgdatadir if everything else fails.
      This way we can ship the jhbuild private modules in /usr/sharejhbuild.
  * debian/jhbuild.docs:
    - Removed, the necessary docs are now installed by the upstream Makefile.
  * debian/rules:
    - Include autotools.mk and gnome.mk.
    - Remove all the manual build process, autotools.mk does everything now.
    - Install the jhbuild modules in /usr/share/jhbuild.
  * debian/install:
    - Install the modulesets and patches from here since the upstream build
      system doesn't install them.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 09 Nov 2009 20:28:48 +0100

jhbuild (0.0.svn.r1378-1) unstable; urgency=low

  * Build, install, and clean the user manual; build-depend on xmlto.
  * Add a README.Debian documenting:
    - The audience for and the risks with jhbuild.
    - The obsolescence of the user manual.
    - Some configuration tips.
    - Why scripts/ isn't shipped.
    - Disk space usage.
  * Drop most TODOs from debian/rules.
  * New upstream snapshot to fix gnome-2.16 and gnome-2.18 build failures with
    Ekiga/CVS which needs a fresher pwlib and opal: now use tarballs instead.
    - Drop .cvsignore handling as these were removed upstream.
  * Fix doc build to not run multiple times.
  * New upstream snapshot to use the new gucharmap gnome-2-16 branch.

 -- Loic Minier <lool@dooz.org>  Sat, 17 Feb 2007 07:47:34 +0100

jhbuild (0.0.svn.r1372-1) unstable; urgency=low

  * Initial upload to Debian; closes: #410881.

 -- Loic Minier <lool@dooz.org>  Tue, 13 Feb 2007 19:37:29 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: jhbuild
Section: devel
Priority: optional
Maintainer: Loic Minier <lool@dooz.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>
Build-Depends: cdbs (>= 0.4.90~),
               debhelper (>= 8),
               gnome-pkg-tools,
               intltool (>= 0.40.0),
               pkg-config,
               gnome-doc-utils,
               rarian-compat,
               python (>= 2.6.6-3~)
Standards-Version: 3.9.3
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/jhbuild
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/jhbuild/
Homepage: https://live.gnome.org/Jhbuild

Package: jhbuild
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Recommends: bzr,
            cvs,
            git-core,
            mercurial,
            subversion,
            patch,
            wget | curl,
            autoconf,
            automake,
            gettext,
            pkg-config
Suggests: tla,
          darcs,
          python-pygraphviz
Description: flexible build script for package collections
 Jhbuild is a program that can be used to pull a number of modules from
 Git, CVS, Subversion, Bazaar and other types of repositories or from
 tarballs and build them in the correct order.  Unlike some build
 scripts, jhbuild lets you specify what modules you want built and it
 will then go and build those modules plus dependencies.
 .
 Although jhbuild was originally developed to build GNOME, it has
 since been extended to work with other projects as well.
 Extending it to handle new modules is usually trivial assuming the
 build infrastructure matches the other modules it handles.

## jhbuild 3.4.0

=== debian/changelog ===
jhbuild (3.4.0-1) unstable; urgency=low

  * New upstream release.
  * Build-depend on yelp-tools instead of gnome-doc-utils
  * debian/control.in: Allow DM uploads

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 19 Apr 2012 14:11:49 -0400

## jhbuild 3.5.91

=== debian/changelog ===
jhbuild (3.5.91-1) experimental; urgency=low

  * New upstream release.
    - An incompatible API change was made today requiring the jhbuild
      client to be update to handle using network modulesets (which
      is the default)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 05 Sep 2012 16:37:28 -0400

jhbuild (3.5.3-1) experimental; urgency=low

  * New upstream release.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Jul 2012 22:45:36 -0400

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
 Section: devel
 Priority: optional
 Maintainer: Loic Minier <lool@dooz.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>
+DM-Upload-Allowed: yes
 Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 8),
                gnome-pkg-tools,
                intltool (>= 0.40.0),
                pkg-config,
-               gnome-doc-utils,
                rarian-compat,
+               yelp-tools,
                python (>= 2.6.6-3~)
 Standards-Version: 3.9.3
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/jhbuild

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --enable-doc-installation=yes

DEB_MAKE_ENVVARS += MAKEFLAGS=pythondir=/usr/share/jhbuild

install/jhbuild::
	rm -r debian/jhbuild/usr/share/jhbuild/jhbuild/cut_n_paste

binary-install/jhbuild::
	dh_python2 -p$(cdbs_curpkg)

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/jhbuild/([\d\.]+)/jhbuild-([\d\.]+)\.tar\.xz

## jhbuild 3.15.92%2B20171014~ed1297d

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: jhbuild
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               gnome-pkg-tools,
               intltool (>= 0.40.0),
               pkg-config,
               python (>= 2.6.6-3~),
               trang <!nocheck>,
               yelp-tools
Standards-Version: 4.1.1
X-Python-Version: >= 2.6
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/jhbuild
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/jhbuild/
Homepage: https://wiki.gnome.org/Projects/Jhbuild

Package: jhbuild
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Recommends: git-core,
            patch,
            wget | curl,
            autoconf,
            automake,
            gettext,
            pkg-config
Suggests: tla,
          bzr,
          cvs,
          darcs,
          mercurial,
          subversion,
          python-pygraphviz
Description: flexible build script for package collections
 Jhbuild is a program that can be used to pull a number of modules from
 Git, CVS, Subversion, Bazaar and other types of repositories or from
 tarballs and build them in the correct order.  Unlike some build
 scripts, jhbuild lets you specify what modules you want built and it
 will then go and build those modules plus dependencies.
 .
 Although jhbuild was originally developed to build GNOME, it has
 since been extended to work with other projects as well.
 Extending it to handle new modules is usually trivial assuming the
 build infrastructure matches the other modules it handles.

## jhbuild 3.15.92+20171014~ed1297d

=== debian/changelog ===
jhbuild (3.15.92+20171014~ed1297d-1) unstable; urgency=medium

  * New upstream git snapshot
    - /usr/bin/install-check has been removed
    - jhbuild.desktop is no longer provided
  * Switch from arch:any to arch:all
  * Switch from cdbs to dh
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 14 Oct 2017 20:23:55 -0400

jhbuild (3.15.92-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Team upload
  * New upstream release (Closes: #784360)
  * cut_n_paste was removed in new version, drop references in
    d/copyright and d/rules
  * Run dh-autoreconf
  * Add debian/docs to explicitly install NEWS
  * debian/control.in:
    - Suggest rather than recommend version control systems other than git
    - Bump Standards-Version to 3.9.8
    - Build-depend on dh-python and set X-Python-Version
  * Update homepage

  [ Loïc Minier ]
  * Bump Standards-Version to 4.0.0.
  * Set Maintainer to Debian GNOME Maintainers.

 -- Loïc Minier <lool@debian.org>  Tue, 11 Jul 2017 15:23:36 +0200

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with gnome,python2

override_dh_auto_configure:
	dh_auto_configure -- --enable-doc-installation=yes

## jhbuild 3.15.92+20180504~8974bbc4

=== debian/changelog ===
jhbuild (3.15.92+20180504~8974bbc4-1) unstable; urgency=medium

  * New upstream git snapshot
  * Add debian/gbp.conf
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 05 May 2018 08:26:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: jhbuild
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                gnome-pkg-tools,
                intltool (>= 0.40.0),
@@ -15,10 +15,10 @@
                python (>= 2.6.6-3~),
                trang <!nocheck>,
                yelp-tools
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 X-Python-Version: >= 2.6
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/jhbuild
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/jhbuild/
+Vcs-Git: https://salsa.debian.org/gnome-team/jhbuild.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/jhbuild
 Homepage: https://wiki.gnome.org/Projects/Jhbuild
 
 Package: jhbuild

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gnome,python2

override_dh_auto_configure:
	dh_auto_configure -- --enable-doc-installation=yes

## jhbuild 3.34.0

=== debian/changelog ===
jhbuild (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * debian/docs: README is now README.rst
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome and dh-sequence-python2
  * Drop obsolete Build-Depends on intltool
  * Recommend meson (since we already recommend autotools)
  * Suggest graphviz instead of pygraphviz
  * Drop Suggests for version control systems other than git
  * Bump Standards-Version to 4.4.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Sep 2019 17:25:32 -0400

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,13 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 11),
-               dh-python,
-               gnome-pkg-tools,
-               intltool (>= 0.40.0),
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
+               dh-sequence-python2,
                pkg-config,
-               python (>= 2.6.6-3~),
                trang <!nocheck>,
                yelp-tools
-Standards-Version: 4.1.4
-X-Python-Version: >= 2.6
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/gnome-team/jhbuild.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/jhbuild
 Homepage: https://wiki.gnome.org/Projects/Jhbuild
@@ -32,14 +29,9 @@
             autoconf,
             automake,
             gettext,
+            meson,
             pkg-config
-Suggests: tla,
-          bzr,
-          cvs,
-          darcs,
-          mercurial,
-          subversion,
-          python-pygraphviz
+Suggests: graphviz
 Description: flexible build script for package collections
  Jhbuild is a program that can be used to pull a number of modules from
  Git, CVS, Subversion, Bazaar and other types of repositories or from

## jhbuild 3.35.1

=== debian/changelog ===
jhbuild (3.35.1-1) unstable; urgency=medium

  * New upstream release
  * Build with python3 (Closes: #936764)
  * Set $HOME for dh_auto_test

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 02 Oct 2019 19:55:22 -0400

=== debian/rules ===
#!/usr/bin/make -f

CHECK_HOME = $(CURDIR)/debian/tmp/home

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-doc-installation=yes --with-python=python3

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir -p -m0700 $(CHECK_HOME)
	HOME=$(CHECK_HOME) dh_auto_test
endif

## jhbuild 3.36.0

=== debian/changelog ===
jhbuild (3.36.0-1) unstable; urgency=medium

  * New upstream release (Closes: #952004)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Mar 2020 22:03:51 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
-               dh-sequence-python2,
+               dh-sequence-python3,
                pkg-config,
                trang <!nocheck>,
                yelp-tools
@@ -22,7 +22,7 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Recommends: git-core,
             patch,
             wget | curl,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-doc-installation=yes --with-python=python3
+	dh_auto_configure -- --enable-doc-installation=yes
 
 override_dh_auto_test:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))

## jhbuild 3.38.0

=== debian/changelog ===
jhbuild (3.38.0-3) unstable; urgency=medium

  * Fix typo in python3-distutils dependency.
    Thanks to Patrice Duroux

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 11 Oct 2020 17:41:31 -0400

jhbuild (3.38.0-2) unstable; urgency=medium

  * Depend on python3-distutils.
    Thanks to Chris Lamb (Closes: #971418)
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 11 Oct 2020 07:34:40 -0400

jhbuild (3.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 27 Sep 2020 19:21:54 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
                pkg-config,
@@ -22,7 +22,8 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+	 python3-distutils,
 Recommends: git-core,
             patch,
             wget | curl,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-doc-installation=yes

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/([0-9.]+)/ \
	@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
